Get Transferability
curl --request GET \
--url https://staging.crossmint.com/api/v1-alpha1/minting/collections/{collectionId}/transferable \
--header 'X-API-KEY: <api-key>'import requests
url = "https://staging.crossmint.com/api/v1-alpha1/minting/collections/{collectionId}/transferable"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://staging.crossmint.com/api/v1-alpha1/minting/collections/{collectionId}/transferable', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"value": true
}{
"error": true,
"message": "Invalid arguments or empty parameter <missing parameter>."
}{
"error": true,
"message": "Malformed API key. / API key provided doesn't have required scopes."
}{
"error": true,
"message": "Not found"
}{
"error": true,
"message": "Please try again in a few minutes. If the issue still persists, contact Crossmint support."
}NFT Collections
Get Transferability
Get the transferable status of a collection.
This API is supported on EVM and Aptos chains.
You must contact sales to gain access to this API.
API scope required: collections.read
GET
/
v1-alpha1
/
minting
/
collections
/
{collectionId}
/
transferable
Get Transferability
This is an alpha API and subject to change.
Authorizations
Obtained in the Crossmint developer console
Path Parameters
This is the identifier for the collection related to the request. Every project has default collections: default-solana and default-polygon.
The create-collection API will result in collections with UUID formatted collectionId.
Example: 9c82ef99-617f-497d-9abb-fd355291681b
The create-collection-idempotent API allows you to specify an arbitrary identifier during the intitial request.
Example: your-custom-identifer
Response
Success
Example:
true
Was this page helpful?

